Debian Bug report logs - #598130
grub-installer cannot install grub-pc on amd64 ( perhaps other architecture )

Package: apt-setup; Maintainer for apt-setup is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Lionel Kaufmann <zelionix@gmail.com>

Date: Sun, 26 Sep 2010 18:27:01 UTC

Severity: important

Tags: moreinfo

Merged with 598062, 599392

Done: Miguel Figueiredo <elmig@debianpt.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598130; Package grub-installer. (Sun, 26 Sep 2010 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Sep 2010 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lionel Kaufmann <zelionix@gmail.com>
To: submit@bugs.debian.org
Subject: grub-installer cannot install grub-pc on amd64 ( perhaps other architecture )
Date: Sun, 26 Sep 2010 20:25:51 +0200
[Message part 1 (text/plain, inline)]
Package: grub-installer
Severity: Important
Justification: cannot install grub on amd64 and perhaps others...

Hello,

I've open a bug #598062 for cdrom install, very verbose ( should not work
too late and when I'm tired )
So brievly : it's impossible with squeeze weekly build to install OS on
amd64 and in lenny it works...

Here is the piece of logs interesting on the squeeze install ( french
install sorry ) :
Sep 26 13:09:41 main-menu[462]: INFO: Menu item 'grub-installer' selected
Sep 26 13:09:41 grub-installer: info: architecture: amd64/generic
Sep 26 13:09:42 grub-installer: info: Identified partition label for
/dev/sda6: msdos
Sep 26 13:09:42 grub-installer: dpkg: warning: ignoring request to remove
grub which isn't installed.
Sep 26 13:09:42 grub-installer: dpkg: warning: ignoring request to remove
grub-legacy which isn't installed.
Sep 26 13:09:42 in-target: Lecture des listes de paquets...
Sep 26 13:09:42 in-target: Construction de l'arbre des dépendances...
Sep 26 13:09:42 in-target: Lecture des informations d'état...
Sep 26 13:09:42 in-target: E
Sep 26 13:09:42 in-target: : Impossible de trouver le paquet grub-pc
Sep 26 13:09:42 kernel: [ 1197.432998] ISO 9660 Extensions: Microsoft Joliet
Level 3
Sep 26 13:09:42 kernel: [ 1197.505206] ISO 9660 Extensions: RRIP_1991A
Sep 26 13:09:43 kernel: [ 1198.493282] ISO 9660 Extensions: Microsoft Joliet
Level 3
Sep 26 13:09:43 grub-installer: info: Calling 'apt-install grub-pc' failed


When on lenny I have :
Sep 25 23:42:31 main-menu[1684]: INFO: Menu item 'grub-installer' selected
Sep 25 23:42:31 grub-installer: info: architecture: amd64/generic
Sep 25 23:42:31 grub-installer: info: Identified partition label for
/dev/sda5: msdos
Sep 25 23:42:31 grub-installer: dpkg - warning: ignoring request to remove
grub-pc which isn't installed.
Sep 25 23:42:32 in-target:   grub-common
Sep 25 23:42:32 in-target:   grub-legacy-doc multiboot-doc mdadm
Sep 25 23:42:32 in-target: Lecture des listes de paquets...
Sep 25 23:42:32 in-target: Construction de l'arbre des dépendances...
Sep 25 23:42:32 in-target: Lecture des informations d'état...
Sep 25 23:42:32 in-target: Les paquets supplémentaires suivants seront
installés :
Sep 25 23:42:32 in-target:   grub-common
Sep 25 23:42:32 in-target: Paquets suggérés :
Sep 25 23:42:32 in-target:   grub-legacy-doc multiboot-doc mdadm
Sep 25 23:42:32 in-target: Les NOUVEAUX paquets suivants seront installés :
Sep 25 23:42:32 in-target:   grub grub-common


The piece of code involded here is in grub-installer 1.55 on line 411 (
where are in case grub-pc that is *) in the switch statment )

(..)
    *)
    # Will pull in os-prober based on global setting for Recommends
    apt-install $grub_package || exit_code=$?
    ;;
esac

if [ $exit_code -ne 0 ] ; then
    db_progress STOP
    info "Calling 'apt-install $inst_package' failed"
(..)

The apt-install return error code, due to the fact that the state
information read fail in /target.

I've search for the apt-install command or script to go further but cannot
find it at this stage...
Guess it is related to dpkg or something like that.
As you are the maintener of grub-installer I report it to you because it is
the piece of code impacted, and do not know who is maintener for the
apt-install failure....

=> what provides apt-install ? apt ?

Notable point : i'm installing on an extended partition :
Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1           5       40131   de  Utility
/dev/sda2   *           6        1918    15360000    7  HPFS/NTFS
/dev/sda3            1918       10292    67267584    7  HPFS/NTFS
/dev/sda4           10293       30402   161527879+   5  Extended
/dev/sda5           10293       12164    15036808+  83  Linux
/dev/sda6           12165       14084    15418368   83  Linux
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598130; Package grub-installer. (Wed, 29 Sep 2010 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 29 Sep 2010 17:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 598130@bugs.debian.org (full text, mbox):

From: Lionel Kaufmann <zelionix@gmail.com>
To: 598130@bugs.debian.org
Subject: let's continue....
Date: Wed, 29 Sep 2010 19:30:55 +0200
[Message part 1 (text/plain, inline)]
Hello,

Found in dependances pkg "di-utils" the insteresting script apt-install that
rize the error...
Will continue to investigate the trouble with grub-installer 1.55 there...

NB : lshw and full install log are available in initial bug report 598062
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598130; Package grub-installer. (Wed, 29 Sep 2010 17:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 29 Sep 2010 17:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598130; Package grub-installer. (Mon, 04 Oct 2010 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matías Parodi <mparodilabs@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 04 Oct 2010 17:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 598130@bugs.debian.org (full text, mbox):

From: Matías Parodi <mparodilabs@gmail.com>
To: 598130@bugs.debian.org
Subject: grub-installer cannot install grub-pc on amd64 ( perhaps other architecture )
Date: Mon, 4 Oct 2010 15:26:46 -0200
[Message part 1 (text/plain, inline)]
 I just wanted to add that the problem is not just with GRUB but with
LILO too and it is worse than that ! I tried to complete the
installation using a version of GRUB that I know that is working for
this architecture, and it was the same, so I guess it's not (or not
just) related with GRUB.

Matt
[Message part 2 (text/html, inline)]

Forcibly Merged 598130 599392. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Thu, 07 Oct 2010 10:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598130; Package grub-installer. (Wed, 08 Dec 2010 04:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kartik Singhal <kartiksinghal@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 08 Dec 2010 04:36:02 GMT) Full text and rfc822 format available.

Message #27 received at 598130@bugs.debian.org (full text, mbox):

From: Kartik Singhal <kartiksinghal@gmail.com>
To: 598130@bugs.debian.org
Subject: 'grub-pc' package failed to install on squeeze live beta 1
Date: Wed, 8 Dec 2010 10:02:12 +0530
[Message part 1 (text/plain, inline)]
My problem seems related to above.

I was trying to install Debian Squeeze Live Beta 1 amd64.

I chose the GUI install and everything ran fine upto installation of grub.
Here is what I got:

GRUB installation failed
The 'grub-pc' package failed to install into /target/. Without the GRUB boot
loader, the installed system will not boot.

I tried various methods from the Debian installer itself, like installing
grub again and continuing without grub installer but I ended up to same
point all over again. So I had to abort the installation.

Here is the relevant part of syslog at this state:

<snip>
Dec  7 14:20:50 in-target: Fetched 7,516 B in 1s (5,420 B/s)
Dec  7 14:20:50 in-target: Reading package lists...
Dec  7 14:20:54 in-target:
Dec  7 14:20:55 main-menu[580]: INFO: Menu item 'grub-installer' selected
Dec  7 14:20:55 grub-installer: info: architecture: amd64/generic
Dec  7 14:21:01 grub-installer: info: Identified partition label for
/dev/sda11: msdos
Dec  7 14:21:05 grub-installer: dpkg: warning: ignoring request to remove
grub which isn't installed.
Dec  7 14:21:05 grub-installer: dpkg: warning: ignoring request to remove
grub-legacy which isn't installed.
Dec  7 14:21:07 in-target: Reading package lists...
Dec  7 14:21:11 in-target:
Dec  7 14:21:11 in-target: Building dependency tree...
Dec  7 14:21:11 in-target:
Dec  7 14:21:11 in-target: Reading state information...
Dec  7 14:21:11 in-target:
Dec  7 14:21:11 in-target: E: Unable to locate package grub-pc
Dec  7 14:21:11 grub-installer: info: Calling 'apt-install grub-pc' failed
Dec  7 14:21:31 main-menu[580]: (process:13482): File descriptor 3
(pipe:[3568]) leaked on lvdisplay invocation. Parent PID 13520: /bin/sh
Dec  7 14:21:31 main-menu[580]: (process:13482): File descriptor 4
(/dev/tty0) leaked on lvdisplay invocation. Parent PID 13520: /bin/sh
Dec  7 14:21:31 main-menu[580]: (process:13482): File descriptor 5
(/dev/tty0) leaked on lvdisplay invocation. Parent PID 13520: /bin/sh
Dec  7 14:21:31 main-menu[580]: (process:13482): File descriptor 6
(/dev/tty0) leaked on lvdisplay invocation. Parent PID 13520: /bin/sh
Dec  7 14:21:31 main-menu[580]: (process:13482):   Volume group "sda" not
found
Dec  7 14:21:31 main-menu[580]: (process:13482):   Skipping volume group sda
Dec  7 14:21:31 main-menu[580]: (process:13482): perl: warning: Setting
locale failed.
Dec  7 14:21:31 main-menu[580]: (process:13482): perl: warning: Please check
that your locale settings:
Dec  7 14:21:31 main-menu[580]: (process:13482):     LANGUAGE = (unset),
Dec  7 14:21:31 main-menu[580]: (process:13482):     LC_ALL = (unset),
Dec  7 14:21:31 main-menu[580]: (process:13482):     LANG = "C.UTF-8"
Dec  7 14:21:31 main-menu[580]: (process:13482):     are supported and
installed on your system.
Dec  7 14:21:31 main-menu[580]: (process:13482): perl: warning: Falling back
to the standard locale ("C").
Dec  7 14:21:31 main-menu[580]: (process:13482): locale: Cannot set LC_CTYPE
to default locale: No such file or directory
Dec  7 14:21:31 main-menu[580]: (process:13482): locale: Cannot set
LC_MESSAGES to default locale: No such file or directory
Dec  7 14:21:31 main-menu[580]: (process:13482): locale: Cannot set LC_ALL
to default locale: No such file or directory
Dec  7 14:21:31 main-menu[580]: (process:13482): perl: warning: Setting
locale failed.
Dec  7 14:21:31 main-menu[580]: (process:13482): perl: warning: Please check
that your locale settings:
Dec  7 14:21:31 main-menu[580]: (process:13482):     LANGUAGE = (unset),
Dec  7 14:21:31 main-menu[580]: (process:13482):     LC_ALL = (unset),
Dec  7 14:21:31 main-menu[580]: (process:13482):     LANG = "C.UTF-8"
Dec  7 14:21:31 main-menu[580]: (process:13482):     are supported and
installed on your system.
Dec  7 14:21:31 main-menu[580]: (process:13482): perl: warning: Falling back
to the standard locale ("C").
Dec  7 14:21:31 main-menu[580]: (process:13482): locale: Cannot set LC_CTYPE
to default locale: No such file or directory
Dec  7 14:21:31 main-menu[580]: (process:13482): locale: Cannot set
LC_MESSAGES to default locale: No such file or directory
Dec  7 14:21:31 main-menu[580]: (process:13482): locale: Cannot set LC_ALL
to default locale: No such file or directory
Dec  7 14:21:31 main-menu[580]: WARNING **: Configuring 'grub-installer'
failed with error code 1
Dec  7 14:21:31 main-menu[580]: WARNING **: Menu item 'grub-installer'
failed.
Dec  7 14:21:33 main-menu[580]: INFO: Modifying debconf priority limit from
'high' to 'medium'
Dec  7 14:21:33 debconf: Setting debconf/priority to medium
Dec  7 14:21:42 main-menu[580]: INFO: Menu item 'nobootloader' selected
Dec  7 14:21:42 main-menu[580]: INFO: Menu item 'nobootloader' succeeded but
requested to be left unconfigured.
Dec  7 14:21:44 main-menu[580]: INFO: Menu item 'nobootloader' selected
Dec  7 14:21:45 main-menu[580]: INFO: Menu item 'nobootloader' succeeded but
requested to be left unconfigured.
Dec  7 14:21:46 main-menu[580]: INFO: Menu item 'nobootloader' selected
Dec  7 14:21:46 main-menu[580]: INFO: Menu item 'nobootloader' succeeded but
requested to be left unconfigured.
Dec  7 14:21:47 main-menu[580]: INFO: Menu item 'nobootloader' selected
Dec  7 14:21:47 main-menu[580]: INFO: Menu item 'nobootloader' succeeded but
requested to be left unconfigured.
Dec  7 14:21:48 main-menu[580]: INFO: Menu item 'nobootloader' selected
Dec  7 14:21:48 main-menu[580]: INFO: Menu item 'nobootloader' succeeded but
requested to be left unconfigured.
Dec  7 14:21:49 main-menu[580]: INFO: Menu item 'nobootloader' selected
Dec  7 14:21:49 main-menu[580]: INFO: Menu item 'nobootloader' succeeded but
requested to be left unconfigured.
Dec  7 14:21:51 main-menu[580]: INFO: Menu item 'finish-install' selected
Dec  7 14:21:54 grub-installer: info: architecture: amd64/generic
Dec  7 14:21:55 grub-installer: info: Identified partition label for
/dev/sda11: msdos
Dec  7 14:21:55 grub-installer: dpkg: warning: ignoring request to remove
grub which isn't installed.
Dec  7 14:21:55 grub-installer: dpkg: warning: ignoring request to remove
grub-legacy which isn't installed.
Dec  7 14:21:56 in-target: Reading package lists...
Dec  7 14:21:56 in-target:
Dec  7 14:21:56 in-target: Building dependency tree...
Dec  7 14:21:56 in-target:
Dec  7 14:21:56 in-target: Reading state information...
Dec  7 14:21:56 in-target:
Dec  7 14:21:56 in-target: E
Dec  7 14:21:56 in-target: : Unable to locate package grub-pc
Dec  7 14:21:56 grub-installer: info: Calling 'apt-install grub-pc' failed
Dec  7 14:27:08 kernel: [  876.173466] usb 2-1.6: new full speed USB device
using ehci_hcd and address 5
Dec  7 14:27:08 kernel: [  876.266992] usb 2-1.6: New USB device found,
idVendor=0a5c, idProduct=4500
Dec  7 14:27:08 kernel: [  876.266999] usb 2-1.6: New USB device strings:
Mfr=1, Product=2, SerialNumber=0
Dec  7 14:27:08 kernel: [  876.267003] usb 2-1.6: Product: BCM2046B1
Dec  7 14:27:08 kernel: [  876.267007] usb 2-1.6: Manufacturer: Broadcom
Dec  7 14:27:08 kernel: [  876.267098] usb 2-1.6: configuration #1 chosen
from 1 choice
Dec  7 14:27:08 kernel: [  876.267281] hub 2-1.6:1.0: USB hub found
Dec  7 14:27:08 kernel: [  876.267486] hub 2-1.6:1.0: 3 ports detected
Dec  7 14:27:08 kernel: [  876.537115] usb 2-1.6.1: new full speed USB
device using ehci_hcd and address 6
Dec  7 14:27:08 kernel: [  876.631900] usb 2-1.6.1: New USB device found,
idVendor=413c, idProduct=8157
Dec  7 14:27:08 kernel: [  876.631906] usb 2-1.6.1: New USB device strings:
Mfr=0, Product=0, SerialNumber=0
Dec  7 14:27:08 kernel: [  876.631995] usb 2-1.6.1: configuration #1 chosen
from 1 choice
Dec  7 14:27:08 kernel: [  876.633586] input: HID 413c:8157 as
/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6.1/2-1.6.1:1.0/input/input4
Dec  7 14:27:08 kernel: [  876.633712] generic-usb 0003:413C:8157.0002:
input,hidraw1: USB HID v1.11 Keyboard [HID 413c:8157] on
usb-0000:00:1d.0-1.6.1/input0
Dec  7 14:27:09 kernel: [  876.706097] usb 2-1.6.2: new full speed USB
device using ehci_hcd and address 7
Dec  7 14:27:09 kernel: [  876.800243] usb 2-1.6.2: New USB device found,
idVendor=413c, idProduct=8158
Dec  7 14:27:09 kernel: [  876.800249] usb 2-1.6.2: New USB device strings:
Mfr=0, Product=0, SerialNumber=0
Dec  7 14:27:09 kernel: [  876.800344] usb 2-1.6.2: configuration #1 chosen
from 1 choice
Dec  7 14:27:09 kernel: [  876.803179] input: HID 413c:8158 as
/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6.2/2-1.6.2:1.0/input/input5
Dec  7 14:27:09 kernel: [  876.803306] generic-usb 0003:413C:8158.0003:
input,hidraw2: USB HID v1.11 Mouse [HID 413c:8158] on
usb-0000:00:1d.0-1.6.2/input0
Dec  7 14:27:09 main-menu[580]: (process:13829): File descriptor 3
(pipe:[3568]) leaked on lvdisplay invocation. Parent PID 13866: /bin/sh
Dec  7 14:27:09 main-menu[580]: (process:13829): File descriptor 4
(/dev/tty0) leaked on lvdisplay invocation. Parent PID 13866: /bin/sh
Dec  7 14:27:09 main-menu[580]: (process:13829): File descriptor 5
(/dev/tty0) leaked on lvdisplay invocation. Parent PID 13866: /bin/sh
Dec  7 14:27:09 main-menu[580]: (process:13829): File descriptor 6
(/dev/tty0) leaked on lvdisplay invocation. Parent PID 13866: /bin/sh
Dec  7 14:27:09 main-menu[580]: (process:13829):   Volume group "sda" not
found
Dec  7 14:27:09 main-menu[580]: (process:13829):   Skipping volume group sda
Dec  7 14:27:09 main-menu[580]: (process:13829): perl: warning: Setting
locale failed.
Dec  7 14:27:09 main-menu[580]: (process:13829): perl: warning: Please check
that your locale settings:
Dec  7 14:27:09 main-menu[580]: (process:13829):     LANGUAGE = (unset),
Dec  7 14:27:09 main-menu[580]: (process:13829):     LC_ALL = (unset),
Dec  7 14:27:09 main-menu[580]: (process:13829):     LANG = "C.UTF-8"
Dec  7 14:27:09 main-menu[580]: (process:13829):     are supported and
installed on your system.
Dec  7 14:27:09 main-menu[580]: (process:13829): perl: warning: Falling back
to the standard locale ("C").
Dec  7 14:27:09 main-menu[580]: (process:13829): locale: Cannot set LC_CTYPE
to default locale: No such file or directory
Dec  7 14:27:09 main-menu[580]: (process:13829): locale: Cannot set
LC_MESSAGES to default locale
Dec  7 14:27:09 main-menu[580]: (process:13829): : No such file or directory
Dec  7 14:27:09 main-menu[580]: (process:13829): locale: Cannot set LC_ALL
to default locale: No such file or directory
Dec  7 14:27:09 main-menu[580]: (process:13829): perl: warning: Setting
locale failed.
Dec  7 14:27:09 main-menu[580]: (process:13829): perl: warning: Please check
that your locale settings:
Dec  7 14:27:09 main-menu[580]: (process:13829):     LANGUAGE = (unset),
Dec  7 14:27:09 main-menu[580]: (process:13829):     LC_ALL = (unset),
Dec  7 14:27:09 main-menu[580]: (process:13829):     LANG = "C.UTF-8"
Dec  7 14:27:09 main-menu[580]: (process:13829):     are supported and
installed on your system.
Dec  7 14:27:09 main-menu[580]: (process:13829): perl: warning: Falling back
to the standard locale ("C").
Dec  7 14:27:09 main-menu[580]: (process:13829): locale: Cannot set LC_CTYPE
to default locale: No such file or directory
Dec  7 14:27:09 main-menu[580]: (process:13829): locale: Cannot set
LC_MESSAGES to default locale: No such file or directory
Dec  7 14:27:09 main-menu[580]: (process:13829): locale: Cannot set LC_ALL
to default locale: No such file or directory
Dec  7 14:27:09 main-menu[580]: WARNING **: Configuring 'grub-installer'
failed with error code 1
Dec  7 14:27:09 main-menu[580]: WARNING **: Menu item 'finish-install'
failed.
Dec  7 14:27:46 main-menu[580]: INFO: Modifying debconf priority limit from
'medium' to 'low'
Dec  7 14:27:46 debconf: Setting debconf/priority to low
Dec  7 14:28:13 main-menu[580]: INFO: Menu item 'nobootloader' selected
Dec  7 14:28:13 main-menu[580]: INFO: Menu item 'nobootloader' succeeded but
requested to be left unconfigured.
Dec  7 14:28:29 main-menu[580]: INFO: Menu item 'finish-install' selected
Dec  7 14:28:42 main-menu[580]: INFO: Menu item 'finish-install' succeeded
but requested to be left unconfigured.
Dec  7 14:28:57 main-menu[580]: INFO: Menu item 'save-logs' selected




Kartik Singhal
BTech CSE Student, NIT Calicut
http://www.google.com/profiles/kartiksinghal
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598130; Package grub-installer. (Sun, 19 Dec 2010 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 19 Dec 2010 10:06:03 GMT) Full text and rfc822 format available.

Message #32 received at 598130@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 598130@bugs.debian.org
Subject: similar from i386 architecture
Date: Sun, 19 Dec 2010 11:03:25 +0100
[Message part 1 (text/plain, inline)]
I created a usb image with live-debian tool and I get the same error.

Seems the error is on apt-get command on line 33 of apt-install command.
apt-get return 100

in-target sh -c "debconf-apt-progress --no-progress --logstderr -- apt-get
-q -y --no-remove install $packages" || ERRCODE=$?

Seems grub packages are not on /target/var/cache/apt/archives directory.

I copied grub packages to archives directory and regenerated
/target/var/cache/apt/pkgcache.bin file by hand using in-target command, but
no success.

I grep pkgcache.bin. It only found grub package and not grub-pc package. I
don't know if this is correct or no.

Bye
[Message part 2 (text/html, inline)]

Forcibly Merged 598130 599392 608201. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 31 Dec 2010 19:57:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 21:24:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 22:00:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 22:00:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'grub-installer' to 'partman-target'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Wed, 05 Jan 2011 18:33:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'partman-target' to 'grub-installer'. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Wed, 05 Jan 2011 21:21:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'grub-installer' to 'apt-setup'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 14 Jan 2011 23:03:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'apt-setup' to 'grub-installer'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 10:30:11 GMT) Full text and rfc822 format available.

Disconnected #608201 from all other report(s). Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 10:36:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'grub-installer' to 'apt-setup'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 14:51:07 GMT) Full text and rfc822 format available.

Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Sun, 16 Jan 2011 20:18:05 GMT) Full text and rfc822 format available.

Notification sent to Lionel Kaufmann <zelionix@gmail.com>:
Bug acknowledged by developer. (Sun, 16 Jan 2011 20:18:05 GMT) Full text and rfc822 format available.

Message #57 received at 598130-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 598130-done@bugs.debian.org
Date: Sun, 16 Jan 2011 20:15:04 +0000
Fixed, see #608201.

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Sun, 16 Jan 2011 20:18:06 GMT) Full text and rfc822 format available.

Notification sent to Matías Parodi <mparodilabs@gmail.com>:
Bug acknowledged by developer. (Sun, 16 Jan 2011 20:18:06 GMT) Full text and rfc822 format available.

Forcibly Merged 598062 598130 599392. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 17:12:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Feb 2011 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:42:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.